package reservation;

import java.util.ArrayList;

/**
 * 
 * @author Lionel M�dini
 * @author Yannick Pri�
 * @author Lotfi Sofiane Settouti
 * 
 * UFR informatique
 * Universit� Claude Bernard Lyon 1
 *
 */

public class Client {

    private String nom;
    private int identifiant;
    private ArrayList <Reservation> reservations = new ArrayList <Reservation>();
    private ReservationBuilder reservationBuilder;

    public ReservationBuilder getReservationBuilder() {
        return reservationBuilder;
    }

    public void setReservationBuilder(ReservationBuilder val) {
        this.reservationBuilder = val;
    }

    public int getIdentifiant() {
        return identifiant;
    }

    public void setIdentifiant(int val) {
        this.identifiant = val;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String val) {
        this.nom = val;
    }

    public void constructReservationVol(int numresa, voyage.Vol v, Passager p) {
        reservationBuilder.createNewReservation(numresa);
        reservationBuilder.buildReservationVol(v, p);
        reservations.add(reservationBuilder.getReservation());
    }

    public void constructReservationTrajetRoutier(int numresa, voyage.TrajetRoutier t, Passager p) {
        reservationBuilder.createNewReservation(numresa);
        reservationBuilder.buildReservationTrajetRoutier(t, p);
        reservations.add(reservationBuilder.getReservation());
    }

    public Reservation getReservation(int index) {
        return reservations.get(index);
    }
}

